## cjk 4.7.0+cvs20061019

=== Makefile ===
# Copyright (C) 1994-2006  Werner Lemberg <wl@gnu.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program in doc/COPYING; if not, write to the Free
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301 USA

# You need GNU make to run this Makefile.
#
# Some issues:
#
# o This Makefile is intended to build the distribution tarballs only,
#   not to compile binaries.
#
# o Binaries of the CJK utility programs (and the standard tex stuff,
#   including dvipdfmx) must work.
#
# o GNU extensions of various utility programs are used.
#
# o emacs 22 (this is the CVS version) and the `cweave' program from the
#   `c2cweb' package, renamed to `cweavex', are needed.
#
# o The TeXLive version of some font definition files are used (in the
#   `texlive' subdirectory).

version=4.7.0

distdir=cjk-$(version)
abs-distdir=$(shell pwd)/$(distdir)

DISTDIRS=$(shell find . -type d | grep -v CVS | grep -v $(distdir))

# expected: subdirs `dvi' and `cjk'
CJK2DVI=\
  (cd dvi; \
   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}:$$TEXINPUTS \
     texi2dvi -l latex ../cjk/$@.cjk; \
   rm -f $@.aux $@.log $@.toc)

# LATEX2DVI srcdir targetdir
# expected: targetdir/dvi
LATEX2DVI=\
  cp $(1)/$@.tex $(2)/dvi; \
  (cd $(2)/dvi; \
   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}:$$TEXINPUTS \
     texi2dvi -l latex $@.tex; \
   rm -f $@.tex $@.aux $@.log $@.toc)

# expected: subdir `pdf' and `dvi'
DVI2PDF=\
  dvipdfmx -v -o pdf/$@.pdf dvi/$@.dvi
  

# CONVERT converter srcdir targetdir
CONVERT=\
  cd $(distdir); \
  $(1) < $(2)/$@.tex > $(3)/cjk/$@.cjk; \
  cd $(3); \
  $(CJK2DVI); \
  $(DVI2PDF)

# MULE srcdir targetdir
MULE=\
  cd $(distdir); \
  emacs --batch \
        --load utils/lisp/emacs/cjk-enc.el \
        --funcall batch-cjk-write-file \
        $(1)/$@.tex; \
  mv $(1)/$@.cjk $(2)/cjk; \
  cd $(2); \
  $(CJK2DVI); \
  $(DVI2PDF)

# LATEX srcdir targetdir
LATEX=\
  cd $(distdir); \
  $(call LATEX2DVI,$(1),$(2)); \
  cd $(2); \
  $(DVI2PDF)


DISTTARGETS=\
  READMEb5 \
  READMEgb \
  Big5 \
  Big5vert \
  CEF_test \
  CJKbabel \
  CJKfntef \
  CJKutf8 \
  CJKmixed \
  GB \
  JIS \
  KS \
  SJIS \
  UTF8 \
  muletest \
  pytest \
  py_test \
  rubytest \
  thai \
  c90


all:
	@echo
	@echo "    Say \`make dist' to build the tarballs."
	@echo


READMEb5:
	$(call CONVERT,bg5conv,doc/chinese,doc)
READMEgb:
	$(call LATEX,doc/chinese,doc)
Big5 Big5vert:
	$(call CONVERT,bg5conv,examples,examples)
CEF_test:
	$(call CONVERT,cefconv,examples,examples)
SJIS:
	$(call CONVERT,sjisconv,examples,examples)
CJKbabel muletest rubytest thai:
	$(call MULE,examples,examples)
GB JIS KS UTF8 py_test CJKfntef CJKutf8 CJKmixed:
	$(call LATEX,examples,examples)
pytest:
	$(call LATEX,utils/pyhyphen,examples)
c90:
	(cd $(abs-distdir)/utils/thaifont/tools; \
	 ln -s c90.etx c90.tex)
	$(call LATEX,utils/thaifont/tools,doc)


dist: distsrc predistdoc distdoc

distsrc:
	-rm -rf $(distdir)
	rm -f $(distdir).tar.gz
	rm -f $(distdir)-doc.tar.gz
	mkdir $(distdir)
	srcdir=`pwd`; \
	for d in $(DISTDIRS); do \
	  mkdir -p $(distdir)/$$d; \
	  (cd $(distdir)/$$d; \
	   f=`find $$srcdir/$$d -maxdepth 1 -type f`; \
	   test -z "$$f" || ln -s $$f . || true); \
	done
	for f in `find $(abs-distdir)/utils -name '*.w'`; do \
	  ctangle $$f - `echo $$f | sed s/w$$/c/`; \
	done
	tar cfh - $(distdir) | gzip -c > $(distdir).tar.gz

predistdoc:
	mkdir -p $(distdir)/doc/{cjk,dvi,pdf}
	mkdir -p $(distdir)/examples/{cjk,dvi,pdf}
	mkdir -p $(distdir)/doc/man/{dvi,html,pdf,txt}
	echo "This directory contains files which are \`preprocessed' with" \
	  > $(distdir)/doc/cjk/README
	echo "cjk-enc.el, bg5conv, etc." \
	  >> $(distdir)/doc/cjk/README
	echo \
	  >> $(distdir)/doc/cjk/README
	echo "You can feed them directly into LaTeX." \
	  >> $(distdir)/doc/cjk/README

distdoc: $(DISTTARGETS) manpages cweb
	for f in `find $(distdir) -type l`; do \
	  rm $$f; \
	done
	for f in `find $(distdir) -name '*.c'`; do \
	  rm $$f; \
	done
	-for d in `find $(distdir) -depth -type d`; do \
	  rmdir --ignore-fail-on-non-empty $$d; \
	done
	tar cfh - $(distdir) | gzip -c > $(distdir)-doc.tar.gz
	rm -rf $(distdir)

manpages:
	for f in `find utils -type f -name '*.1'`; do \
	  groff -ww -Tdvi -mec -man $$f > \
	    $(abs-distdir)/doc/man/dvi/`basename $$f .1`.dvi; \
	  groff -ww -Tps -man $$f | \
	    ps2pdf - $(abs-distdir)/doc/man/pdf/`basename $$f .1`.pdf; \
	  groff -ww -Tlatin1 -man -P-bcu $$f > \
	    $(abs-distdir)/doc/man/txt/`basename $$f .1`.txt; \
	  groff -ww -Thtml -man $$f > \
	    $(abs-distdir)/doc/man/html/`basename $$f .1`.html; \
	done

cweb:
	for f in `find utils -type f -name '*.w'`; do \
	  cp $$f $(abs-distdir)/doc/dvi; \
	  (cd $(abs-distdir)/doc/dvi; \
	   F=`basename $$f .w`; \
	   cweavex +a $$F.w; \
	   tex $$F; \
	   rm -rf $$F.idx $$F.log $$F.scn $$F.tex $$F.toc $$F.w; \
	   dvipdfmx -v -o ../pdf/$$F.pdf $$F); \
	done

# EOF

## cjk 4.7.0+git20070708

=== Makefile ===
--- 
+++ 
@@ -56,20 +56,21 @@
      texi2dvi -l latex $@.tex; \
    rm -f $@.tex $@.aux $@.log $@.toc)
 
+# DVI2PDF paper-format
 # expected: subdir `pdf' and `dvi'
 DVI2PDF=\
-  dvipdfmx -v -o pdf/$@.pdf dvi/$@.dvi
+  dvipdfmx -v -p $(1) -o pdf/$@.pdf dvi/$@.dvi
   
 
-# CONVERT converter srcdir targetdir
+# CONVERT converter srcdir targetdir [paper-format]
 CONVERT=\
   cd $(distdir); \
   $(1) < $(2)/$@.tex > $(3)/cjk/$@.cjk; \
   cd $(3); \
   $(CJK2DVI); \
-  $(DVI2PDF)
-
-# MULE srcdir targetdir
+  $(if $(4),$(call DVI2PDF,$(4)),$(call DVI2PDF,letter))
+
+# MULE srcdir targetdir [paper-format]
 MULE=\
   cd $(distdir); \
   emacs --batch \
@@ -79,14 +80,14 @@
   mv $(1)/$@.cjk $(2)/cjk; \
   cd $(2); \
   $(CJK2DVI); \
-  $(DVI2PDF)
-
-# LATEX srcdir targetdir
+  $(if $(3),$(call DVI2PDF,$(3)),$(call DVI2PDF,letter))
+
+# LATEX srcdir targetdir [paper-format]
 LATEX=\
   cd $(distdir); \
   $(call LATEX2DVI,$(1),$(2)); \
   cd $(2); \
-  $(DVI2PDF)
+  $(if $(3),$(call DVI2PDF,$(3)),$(call DVI2PDF,letter))
 
 
 DISTTARGETS=\
@@ -119,7 +120,7 @@
 
 
 READMEb5:
-	$(call CONVERT,bg5conv,doc/chinese,doc)
+	$(call CONVERT,bg5conv,doc/chinese,doc,a4)
 READMEgb:
 	$(call LATEX,doc/chinese,doc)
 Big5 Big5vert:
@@ -187,9 +188,9 @@
 
 manpages:
 	for f in `find utils -type f -name '*.1'`; do \
-	  groff -ww -Tdvi -mec -man $$f > \
+	  groff -ww -Tdvi -dpaper=letter -P-pletter -mec -man $$f > \
 	    $(abs-distdir)/doc/man/dvi/`basename $$f .1`.dvi; \
-	  groff -ww -Tps -man $$f | \
+	  groff -ww -Tps -dpaper=letter -P-pletter -man $$f | \
 	    ps2pdf - $(abs-distdir)/doc/man/pdf/`basename $$f .1`.pdf; \
 	  groff -ww -Tlatin1 -man -P-bcu $$f > \
 	    $(abs-distdir)/doc/man/txt/`basename $$f .1`.txt; \
@@ -205,7 +206,7 @@
 	   cweavex +a $$F.w; \
 	   tex $$F; \
 	   rm -rf $$F.idx $$F.log $$F.scn $$F.tex $$F.toc $$F.w; \
-	   dvipdfmx -v -o ../pdf/$$F.pdf $$F); \
+	   dvipdfmx -v -p letter -o ../pdf/$$F.pdf $$F); \
 	done
 
 # EOF

## cjk 4.8.0+git20080711

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 1994-2006  Werner Lemberg <wl@gnu.org>
+# Copyright (C) 1994-2008  Werner Lemberg <wl@gnu.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -27,23 +27,23 @@
 #
 # o GNU extensions of various utility programs are used.
 #
-# o emacs 22 (this is the CVS version) and the `cweave' program from the
-#   `c2cweb' package, renamed to `cweavex', are needed.
+# o emacs 22 and the `cweave' program from the `c2cweb' package,
+#   renamed to `cweavex', are needed.
 #
 # o The TeXLive version of some font definition files are used (in the
 #   `texlive' subdirectory).
 
-version=4.7.0
+version=4.8.0
 
 distdir=cjk-$(version)
 abs-distdir=$(shell pwd)/$(distdir)
 
-DISTDIRS=$(shell find . -type d | grep -v CVS | grep -v $(distdir))
+DISTDIRS=$(shell find . -type d | grep -v .git | grep -v $(distdir))
 
 # expected: subdirs `dvi' and `cjk'
 CJK2DVI=\
   (cd dvi; \
-   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}:$$TEXINPUTS \
+   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}: \
      texi2dvi -l latex ../cjk/$@.cjk; \
    rm -f $@.aux $@.log $@.toc)
 
@@ -52,7 +52,7 @@
 LATEX2DVI=\
   cp $(1)/$@.tex $(2)/dvi; \
   (cd $(2)/dvi; \
-   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}:$$TEXINPUTS \
+   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}: \
      texi2dvi -l latex $@.tex; \
    rm -f $@.tex $@.aux $@.log $@.toc)
 
@@ -88,6 +88,17 @@
   $(call LATEX2DVI,$(1),$(2)); \
   cd $(2); \
   $(if $(3),$(call DVI2PDF,$(3)),$(call DVI2PDF,letter))
+
+# XELATEX srcdir targetdir
+XELATEX=\
+  cd $(distdir); \
+  cp $(1)/$@.tex $(2)/pdf; \
+  (cd $(2)/pdf; \
+   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}: \
+     xelatex $@.tex; \
+   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}: \
+     xelatex $@.tex; \
+   rm -f $@.tex $@.aux $@.log $@.toc $@.out $@.ovt)
 
 
 DISTTARGETS=\
@@ -99,7 +110,9 @@
   CJKbabel \
   CJKfntef \
   CJKutf8 \
+  CJKspace \
   CJKmixed \
+  xCJK \
   GB \
   JIS \
   KS \
@@ -131,8 +144,10 @@
 	$(call CONVERT,sjisconv,examples,examples)
 CJKbabel muletest rubytest thai:
 	$(call MULE,examples,examples)
-GB JIS KS UTF8 py_test CJKfntef CJKutf8 CJKmixed:
+GB JIS KS UTF8 py_test CJKfntef CJKutf8 CJKspace CJKmixed:
 	$(call LATEX,examples,examples)
+xCJK:
+	$(call XELATEX,examples,examples)
 pytest:
 	$(call LATEX,utils/pyhyphen,examples)
 c90:
@@ -188,9 +203,9 @@
 
 manpages:
 	for f in `find utils -type f -name '*.1'`; do \
-	  groff -ww -Tdvi -dpaper=letter -P-pletter -mec -man $$f > \
+	  groff -ww -Tdvi -dpaper=letter -P-pletter -mec -man -rS11 $$f > \
 	    $(abs-distdir)/doc/man/dvi/`basename $$f .1`.dvi; \
-	  groff -ww -Tps -dpaper=letter -P-pletter -man $$f | \
+	  groff -ww -Tps -dpaper=letter -P-pletter -man -rS11 $$f | \
 	    ps2pdf - $(abs-distdir)/doc/man/pdf/`basename $$f .1`.pdf; \
 	  groff -ww -Tlatin1 -man -P-bcu $$f > \
 	    $(abs-distdir)/doc/man/txt/`basename $$f .1`.txt; \

## cjk 4.8.2%2bgit20111216

=== debian/control ===
Source: cjk
Build-Depends: debhelper (>= 8), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 2.04)
Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, thailatex, latex-fonts-thai-tlwg
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/debian-tex/cjk/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/cjk/trunk/
Homepage: http://cjk.ffii.org/

Package: latex-cjk-common
Architecture: any
Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 2.04), ${misc:Depends}, ${shlibs:Depends}
Recommends: latex-cjk-xcjk
Conflicts: cjk-latex (<= 4.5.1), latex-cjk
Replaces: cjk-latex
Provides: cjk-latex
Description: LaTeX macro package for CJK (Chinese/Japanese/Korean)
 CJK is a macro package for LaTeX to enable typesetting in Chinese,
 Japanese, Korean and Thai, and it supports Vietnamese through the
 "vntex" macro.  And you can still use Russian, Greek and other
 languages in the same document.
 It supports various CJK encodings, like UTF-8, Big5, GB, JIS, KS,
 CNS (through CEF) and Emacs MULE.
 .
 This package will install the common files, as well as a few
 GNU/Emacs Lisp files, and it provides support for furigana
 ("ruby text") and PinYin, either with or without tone marks.

Package: latex-cjk-xcjk
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}), texlive-xetex, tex-common (>= 2.04), ${misc:Depends}
Suggests: fonts-dejima-mincho, fonts-kiloji, 
          fonts-thai-tlwg, 
          fonts-arphic-ukai, fonts-arphic-uming, 
          fonts-baekmuk, 
          fonts-ipafont-gothic | fonts-japanese-gothic, 
          fonts-ipafont-mincho | fonts-japanese-mincho,
          fonts-unfonts-core, fonts-unfonts-extra, 
          ttf-wqy-zenhei
Conflicts: cjk-latex (<= 4.5.1)
Description: XeTeX module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Chinese (traditional and simplified), Japanese, Thai, Vietnamese,
 Korean, and many more scripts in your (La)TeX documents through XeLaTeX,
 which is based on the modern XeTeX engine.
 .
 It allows you to directly use TrueType fonts without any conversion or
 extra packages.
 .
 latex-cjk-xcjk suggests a whole bunch of Japanese, Chinese, Korean and Thai
 fonts that are guaranteed to work with xCJK, but any other TTF should work
 just as well.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-chinese
Architecture: any
Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 2.04), ${misc:Depends}, ${shlibs:Depends}
Recommends: latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp
Suggests: hbf-cns40-b5, hbf-jfs56
Conflicts: cjk-latex (<= 4.5.1), tfm-arphic-bsmi00lp (<= 2.11.2-0.1), tfm-arphic-bkai00mp (<= 2.11.2-0.1), tfm-arphic-gbsn00lp (<= 2.11.2-0.1), tfm-arphic-gkai00mp (<= 2.11.2-0.1)
Description: Chinese module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Chinese (traditional and simplified) text in your (La)TeX documents.
 .
 Install hbf-jfs56 if you want to use bitmap fonts in simplified Chinese.
 Install hbf-cns40-b5 if you want bitmap fonts in traditional Chinese.
 Install hbf-cns40-[1-7] if you want CEF bitmap fonts.  This is only needed
 if you need extremely rare and exotic Chinese characters.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-japanese
Architecture: any
Recommends: latex-cjk-japanese-wadalab
Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 2.04), ${misc:Depends}, ${shlibs:Depends}
Suggests: hbf-kanji48
Conflicts: cjk-latex (<= 4.5.1)
Description: Japanese module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Japanese text in your (La)TeX documents.  Install
 latex-cjk-japanese-wadalab for pretty printing.
 .
 Install hbf-kanji48 if you want to use bitmap fonts in your documents.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-korean
Architecture: all
Recommends: ko.tex-extra-hlfont
Depends: latex-cjk-common (>= ${source:Version}), tex-common (>= 2.04), ${misc:Depends}
Conflicts: cjk-latex (<= 4.5.1)
Description: Korean module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Korean text in your (La)TeX documents.

Package: latex-cjk-thai
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}), texlive-latex-base, tex-common (>= 2.04), thailatex (>= 0.4.2), ${misc:Depends}
Conflicts: cjk-latex (<= 4.5.1)
Description: Thai module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Thai text in your (La)TeX documents.
 It uses the same Type1 fonts (Norasi and Garuda) from the ThaiLaTeX package.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-all
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}), latex-cjk-xcjk (= ${source:Version}), latex-cjk-chinese (>= ${source:Version}), latex-cjk-japanese (>= ${source:Version}), latex-cjk-korean (= ${source:Version}), latex-cjk-thai (= ${source:Version}), latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, latex-cjk-japanese-wadalab, ${misc:Depends}
Conflicts: cjk-latex (<= 4.5.1)
Description: installs all LaTeX CJK packages
 This package will install all CJK packages.
 You may also wish to install each package separately instead.
 See the latex-cjk-common package for a detailed description.

Package: cjk-latex
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}), ${misc:Depends}
Suggests: latex-cjk-all (= ${source:Version})
Conflicts: cjk-latex (<= 4.5.1)
Description: installs all LaTeX CJK packages
 This is a dummy package that allows you to smoothly upgrade
 from the old cjk-latex to the current latex-cjk-common packages.
 After the installation of the latex-cjk-common packages, you can
 safely delete this package.

## cjk 4.8.2+git20090105

=== debian/changelog ===
cjk (4.8.2+git20090105-5) unstable; urgency=low

  * The "Kimchi" release.
  * [patches/09_fix_korean_fd_files.diff] Finally update the Korean font
    definition files to work together with the ko.tex packages instead of
    the obsolete HLaTeX packages.  This fixes "Some HLaTeX font references
    used by CJK are not available in ko.tex anymore" (Closes: #579321).
  * [debian/control]
     - Remove the build-dependency on the `sharutils' package: we do not
       use `uuencode' anymore in debian/rules since cjk (4.8.2+git20090105-1);
     - bump Standards-Version to 3.8.4.
  * [debian/source/format] Really switch to Debian Source v3.0 (quilt)
     this time.
  * [debian/rules]
     - We do not include the "thaifonts.tar.gz" file anymore, so we can
       remove this cleanup procedure;
     - remove binary files in utils/.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Sun, 16 May 2010 23:21:53 +0200

cjk (4.8.2+git20090105-4) unstable; urgency=medium

  * The "How do you hyphenate `Eve'" release.
  * Setting the urgency to "medium" because it fixes an important bug
    that renders parts of TeXlive not properly configured.
  * [control]
     - Move myself to "Uploaders", move Debian TeX Maintainers
       to "Maintainer", and add Norbert Preining to the list of
       Uploaders;
     - (Build-)Depend on tex-common (>= 2.04) in order to solve the
       bug below.
  * [rules] Switch from "dh_installtex [...] hyphen=pinyin,pyhyph.tex"
     to "[...] hyphen=pinyin,loadhyph-zh-latn.tex,lhm=1,rhm=1".
     The hyph-utf8 package requires all hyphenation patterns to be in
     UTF-8 encoding, and has its own modified pyhyph.tex file.
     Many thanks to Norbert Preining.  This fixes the bug "hyphenation
     definition is wrong, cannot be loaded with luatex" (Closes: #562198).

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Mon, 28 Dec 2009 22:31:17 +0100

cjk (4.8.2+git20090105-3) unstable; urgency=low

  * The "Christmas present" release.
  * [control,rules,patches/*] Switch from dpatch to quilt to comply with
    the 3.0 (quilt) source format.
  * [rules] Switch from "language=" to "hyphen=" after dh_installtex.
  * [control]
     - Depend and Build-Depend on tex-common (>= 2.03) due to syntax
       changes with dh_installtex;
     - only use one email address in the "Maintainer" field: move the
       Debian TeX ML address to "Uploaders" instead and remove my own
       email address from the "Uploaders" field.  This should fix bug
       "Erroneous Maintainer field" (Closes: #561789); thanks to Florian
       Ernst for the bug report.
  * Rebuild against libkpathsea-dev as it has bumped to v5.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Mon, 21 Dec 2009 23:33:45 +0100

cjk (4.8.2+git20090105-2) unstable; urgency=medium

  * The "Doh, wrong version" release.
  * Setting the urgency to "medium" because it fixes an FTBFS.
  * [control]
     - Bump up the build-dependency of tex-common from (>= 1.18) to
       (>= 1.20);
     - Bump up the dependency on tex-common (>= 1.20) for every binary
       package;
     - bump Standards-Version from 3.8.2 to 3.8.3 (no changes);
     - add "Debian TeX maintainers" to the Maintainer: line;
     - add myself to the Uploaders: line.
  * [rules]
     - Bug fix: "FTBFS: cp: cannot stat `...{garuda,norasi}*.afm':", thanks
       to Lucas Nussbaum (Closes: #543025);
     - change the maintainer's email address.
   * [README.source] New file, that explains how the original source tarball
      is created.  This fixes a Lintian warning and is in compliance with
      Standards-Version 3.8.0.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Wed, 26 Aug 2009 23:14:17 +0200

cjk (4.8.2+git20090105-1) unstable; urgency=low

  * The "GIT+SVN" release.
  * New upstream release:
     - Fixes some XeLaTeX issues with the language files;
     - adds support for CID-keyed fonts in the Fontforge scripts;
     - adds the \CJKdigits* command to use the traditional form of
       "zero";
     - adds the \Unicode command to use vertical glyph representation
       forms;
     - uses the original font names of ThaiLaTeX 0.4.2;
     - DNP.txt is now renamed to wadalab.txt;
     - a new CJKnumb.txt document is available, which explains the "CJKnumb"
       package;
     - extra documentation in CJK.txt about using the beamer class in
       conjunction with CJKutf8.
  * [control]
     - Add Homepage tag;
     - switch from XS-Vcs to Vcs-*;
     - use Debian Alioth's SVN address instead of upstream's GIT
       address;
     - add a build-dependency on git-core and tex-common (>= 1.18), the
       latter providing trigger support;
     - add a dependency on tex-common (>= 1.18) for every binary package;
     - fix a fair Lintian warning by adding a dependency on ${misc:Depends}
       for latex-cjk-{all,korean,xcjk} and cjk-latex, ignoring a harmless
       warning from dpkg-gencontrol for latex-cjk-all and cjk-latex
       ("unknown substitution variable");
     - bump Standards-Version from 3.8.0 to 3.8.2 (no changes);
     - add a build-dependency on an unversioned thailatex, which should
       allow for a clean pbuilder/cowbuilder build.  Thanks to Norbert
       Preining.
  * [rules]
     - Bug fix: "bashism in debian/rules", thanks to Raphael Geissert
       (Closes: #535375);
     - add a new "get-orig-source" target to package the orig.tar.gz file
       from the upstream GIT repository directly;
     - upstream is now compatible with Type1 fonts from ThaiLaTeX v0.4.2,
       which deprecates the use of a prepackaged set of fonts.  The fontmap
       files now have a "-c90" appended to them, i.e. "norasi-c90" and
       "garuda-c90".
  * [thaifonts.tar.gz.uu] Removed, because CJK is now fully compatible with
     fonts from the ThaiLaTeX package.
  * [patches/00list] Remove 05_fix_examplefiles.dpatch from the list,
     as the upstream release now uses CJKutf8 and does not rely on the
     non-free Bitstream Cyberbit font anymore.  This also closes an


=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: cjk
-Build-Depends: debhelper (>= 8), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 2.04)
-Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, thailatex, latex-fonts-thai-tlwg
+Build-Depends: debhelper (>= 7), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 2.04)
+Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, thailatex
 Section: tex
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/cjk/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/cjk/trunk/
 Homepage: http://cjk.ffii.org/
@@ -32,14 +32,7 @@
 Package: latex-cjk-xcjk
 Architecture: all
 Depends: latex-cjk-common (>= ${source:Version}), texlive-xetex, tex-common (>= 2.04), ${misc:Depends}
-Suggests: fonts-dejima-mincho, fonts-kiloji, 
-          fonts-thai-tlwg, 
-          fonts-arphic-ukai, fonts-arphic-uming, 
-          fonts-baekmuk, 
-          fonts-ipafont-gothic | fonts-japanese-gothic, 
-          fonts-ipafont-mincho | fonts-japanese-mincho,
-          fonts-unfonts-core, fonts-unfonts-extra, 
-          ttf-wqy-zenhei
+Suggests: ttf-dejima-mincho, ttf-kiloji, ttf-thai-tlwg, ttf-arphic-ukai, ttf-arphic-uming, ttf-baekmuk, ttf-sazanami-gothic, ttf-sazanami-mincho, ttf-unfonts-core, ttf-unfonts-extra, ttf-vlgothic, ttf-wqy-zenhei
 Conflicts: cjk-latex (<= 4.5.1)
 Description: XeTeX module of LaTeX CJK
  CJK is a macro package for LaTeX.  This package gives you the possibility

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Made with the aid of debhelper by Joey Hess,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
#
# This is free software; see the GNU General Public Licence
# version 2 or later for copying conditions.  There is NO warranty.
#
# Currently maintained by Danai SAE-HAN (韓達耐) <danai@debian.org>
# for Debian GNU/Linux.

SHELL = /bin/sh

include /usr/share/quilt/quilt.make

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# When you use the official CVS, SVN, GIT source tree. =CVS:.svn:.git
export DH_ALWAYS_EXCLUDE=.git:CVS:.svn

# The build directory for Thai fonts.
build_thaifonts = build_thaifonts

# Stuff for get-orig-source.
# Getting the revision numbers according to debian/changelog, the HARD way.
upstream_version := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
isodate := $(shell dpkg-parsechangelog | sed -ne 's/^Version.*git\(.*\)-.*/\1/p')
unixdate := $(shell date -d $(isodate) +%s)
# Add 24 hours to the Unix time.
unixdate := $(shell expr $(unixdate) + 86400 )

# To get the Master revision number (i.e. 4.8.0), use:
# dpkg-parsechangelog | sed -ne 's/^Version: *\([^+-]*\).*/\1/p'


build: $(QUILT_STAMPFN) build-stamp
build-arch:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-arch-stamp

build-indep:
	dh_testdir

	mkdir $(build_thaifonts)

# The upstream patch on 2008-12-28 in CJK provided support for
# the ThaiLaTeX fonts that shipped with v0.4.2.
# Before this patch CJK couldn't directly use the same fonts as
# ThaiLaTeX.  latex-cjk-thai therefore installed its own extra fonts.
# If you still wish to use these modified fonts, then don't forget to
# uncomment the last two lines in debian/latex-cjk-thai.install ,
# to comment/uncomment some of the lines below and to remove the
# dependency on thailatex.

#	# Extracting binary files
# How it was used: uuencode thaifonts.tar.gz thaifonts.tar.gz > thaifonts.tar.gz.uu
# You will need a Build-Dependency on the `sharutils' package in debian/control.
#	cd debian && uudecode thaifonts.tar.gz.uu && tar xzf thaifonts.tar.gz
#	(cd $(build_thaifonts) && cp ../utils/thaifont/tools/c90.* ../utils/thaifont/tools/*.fontinst ../debian/thaifonts/* . && cd ../debian/thaifonts && prename 's/_//' * && prename 's/\./n\./' norasi.* garuda.*)
	(cd $(build_thaifonts) && cp ../utils/thaifont/tools/c90.* ../utils/thaifont/tools/*.fontinst /usr/share/texmf/fonts/afm/public/thai/garuda*.afm /usr/share/texmf/fonts/afm/public/thai/norasi*.afm .)

	(cd $(build_thaifonts) && tex norasi-c90.fontinst && tex garuda-c90.fontinst && for i in f*.pl; do pltotf $$i; done)

	touch build-indep-stamp

build-stamp:
	touch build-stamp

#clean: clean1 unpatch

clean: unpatch
#	dh_testdir doc/CJKutf8.txt examples/CJKbabel.tex
	dh_testroot
	rm -f build-stamp build-indep-stamp build-arch-stamp

	# Add here commands to clean up after the build process.

# If a Debian patch has been applied on Makefile, perform a distclean;
# if not, do nothing.  Reason: CJK upstream has no cleaning targets.
	if [ $(shell grep -c distclean Makefile) -gt 0 ]; then $(MAKE) distclean; fi

	# Remove the binary files.
	rm -rf $(build_thaifonts)

# Remove the .c file created by ctangle.
# This dirty hack is due to the introduction of the Lintian warning
# "patch-system-but-direct-changes-in-diff".  For more information,
# check out Debian bug #471263 at
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=471263 .
# It would otherwise also create problems for Debian Source 3.0 (quilt).
	rm -f utils/hbf2gf/config.log
	rm -f utils/hbf2gf/config.status
	rm -f utils/hbf2gf/hbf.o
	rm -f utils/hbf2gf/hbf2gf
	rm -f utils/hbf2gf/hbf2gf.c
	rm -f utils/hbf2gf/hbf2gf.o
	rm -f utils/hbf2gf/Makefile
	rm -f utils/Bg5conv/bg5conv
	rm -f utils/CEFconv/cefconv
	rm -f utils/CEFconv/cef5conv
	rm -f utils/CEFconv/cefsconv
	rm -f utils/SJISconv/sjisconv
	rm -f utils/extconv/extconv

#	rm -rf debian/thaifonts
#	rm -f debian/thaifonts.tar.gz

	dh_clean

install:
	dh_testdir
	dh_testroot
#	dh_installdirs -platex-cjk-chinese usr/share/texmf/tex/latex/CJK/CEF

	# Add here commands to install the package into debian/tmp.
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install

# Build architecture-independent files here.
binary-indep: build-indep
	dh_testdir -i
	dh_testroot -i

# Install files in the respective subpackages, according
# to the [package].install files.
	dh_install -i
	dh_link -platex-cjk-korean usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-korean
	dh_link -platex-cjk-all usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-all
	dh_link -pcjk-latex usr/share/doc/latex-cjk-common usr/share/doc/cjk-latex
	dh_link -platex-cjk-thai usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-thai
	dh_link -platex-cjk-xcjk usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-xcjk
	dh_installtex -platex-cjk-thai --flavor=map:config_for_all_maps map=Map,garuda-c90.map map=Map,norasi-c90.map
	dh_installtex -platex-cjk-korean
	dh_installtex -platex-cjk-xcjk
	dh_installemacsen -i
	dh_compress -i
	dh_fixperms -i
	dh_shlibdeps -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build build-arch install
	dh_testdir -a
	dh_testroot -a

# Install files in the respective subpackages, according
# to the [package].install files.
	dh_install -a

	chmod +x debian/latex-cjk-common/usr/share/latex-cjk-common/utils/subfonts/*.pl

	dh_link -platex-cjk-chinese usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-chinese
	dh_link -platex-cjk-japanese usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-japanese

	# Get the documentation in texdoc.  texdoctk unfortunately uses another engine.
	dh_link -platex-cjk-common usr/share/doc/latex-cjk-common usr/share/doc/texmf/latex/latex-cjk

	dh_installtex -platex-cjk-common -platex-cjk-japanese
	dh_installtex -platex-cjk-chinese --priority=20 hyphen=pinyin,loadhyph-zh-latn.tex,lhm=1,rhm=1

	dh_installdocs -platex-cjk-common
	dh_installexamples -platex-cjk-common
	dh_installman -a
	dh_installchangelogs -platex-cjk-common ChangeLog
	dh_installemacsen -a
	dh_strip --exclude=.pl -a
	dh_compress -a
	dh_fixperms -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	# Cleaning
	rm -rf cjk-$(upstream_version)
	rm -f ../cjk_$(upstream_version).orig.tar.gz

	# Download the latest GIT version and downgrade it to $(isodate).
	git clone git://git.sv.gnu.org/cjk.git cjk-$(upstream_version)
	cd cjk-$(upstream_version) && git reset --hard $(shell git rev-list --all -n 1 --before=$(unixdate))

	# Make a pristine package.
# --no-name/-n is important because it won't save the timestamp in the
# 5th to 8th byte of the gzip.
	cd cjk-$(upstream_version) && git archive --format=tar --prefix=cjk-$(upstream_version)/ master | gzip -9 --no-name > ../../tarballs/cjk_$(upstream_version).orig.tar.gz

	# Clean again, because we use svn-buildpackage afterwards.
	rm -rf cjk-$(upstream_version)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install get-orig-source

## cjk 4.8.2+git20111216

=== debian/changelog ===
cjk (4.8.2+git20111216-2) unstable; urgency=low

  * build for TL2012: depend on tex-common >= 3, remove old config file
    latex-cjk-thai in updmap.d
  * bump manual dep on tex-common to >= 3
  * fix location of afm files
  * remove hyphen definition, it is shipped in TL, where also the files
    are, add the necessary rm_conffile calls to latex-cjk-chinese.maintscript
  * bump build dep on latex-fonts-thai-tlwg for correct afm location
  * bump standards version, no changes necessary
  * fix build-deps

 -- Norbert Preining <preining@debian.org>  Thu, 22 Mar 2012 18:28:26 +0900

cjk (4.8.2+git20111216-1) unstable; urgency=low

  * The "Stayin' alive" release.
  * New upstream release:
     - New macros for CJKfntef.sty;
     - fix line breaks with furigana;
     - update kpathsea support (remove ancient stuff);
     - introduce `LATEX' preprocessor macro;
     - various fixes for cefconv;
     - make cjk-enc.el work with Emacs23+.
  * Rebuild against latest TeXlive 2009 packages in Debian.
  * [debian/rules]
     - Remove bashism in get-orig-source stanza;
     - do not use "git reset --hard" anymore, but use the GIT commit hash
       with "git archive".  Thanks to Miroslav Suchý, Joey Hess and
       Bernard R. Link.
  * [debian/compat] Upgrade Debhelper compatibility from version 7 to 8.
  * [debian/control]
     - Depend on debhelper (>= 8);
     - bump Standards-Version to 3.9.2; no changes;
     - do not suggest the deprecated TTF packages for the xcjk package and
       replace them with new font packages.  Thanks to Hideki Yamane
       (Closes: #644768 and #652255);
     - add "latex-fonts-thai-tlwg" to Build-Depends-Indep.  Thanks Hideki!
  * [debian/patches/04_extend_examplefiles.diff] Rediff thai.tex.
  * [debian/README.source] Remove the section about patching, because it
     is rendered obsolete with Debian source "3.0 (quilt)".
  * [debian/TODO.Debian] Update.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Fri, 06 Jan 2012 05:36:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: cjk
-Build-Depends: debhelper (>= 7), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 2.04)
-Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, thailatex
+Build-Depends: debhelper (>= 8.1.0~), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 3)
+Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, thailatex, latex-fonts-thai-tlwg (>= 1:0.5.0)
 Section: tex
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/cjk/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/cjk/trunk/
 Homepage: http://cjk.ffii.org/
 
 Package: latex-cjk-common
 Architecture: any
-Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 2.04), ${misc:Depends}, ${shlibs:Depends}
+Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 3), ${misc:Depends}, ${shlibs:Depends}
 Recommends: latex-cjk-xcjk
 Conflicts: cjk-latex (<= 4.5.1), latex-cjk
 Replaces: cjk-latex
@@ -31,8 +31,15 @@
 
 Package: latex-cjk-xcjk
 Architecture: all
-Depends: latex-cjk-common (>= ${source:Version}), texlive-xetex, tex-common (>= 2.04), ${misc:Depends}
-Suggests: ttf-dejima-mincho, ttf-kiloji, ttf-thai-tlwg, ttf-arphic-ukai, ttf-arphic-uming, ttf-baekmuk, ttf-sazanami-gothic, ttf-sazanami-mincho, ttf-unfonts-core, ttf-unfonts-extra, ttf-vlgothic, ttf-wqy-zenhei
+Depends: latex-cjk-common (>= ${source:Version}), texlive-xetex, tex-common (>= 3), ${misc:Depends}
+Suggests: fonts-dejima-mincho, fonts-kiloji, 
+          fonts-thai-tlwg, 
+          fonts-arphic-ukai, fonts-arphic-uming, 
+          fonts-baekmuk, 
+          fonts-ipafont-gothic | fonts-japanese-gothic, 
+          fonts-ipafont-mincho | fonts-japanese-mincho,
+          fonts-unfonts-core, fonts-unfonts-extra, 
+          ttf-wqy-zenhei
 Conflicts: cjk-latex (<= 4.5.1)
 Description: XeTeX module of LaTeX CJK
  CJK is a macro package for LaTeX.  This package gives you the possibility
@@ -51,7 +58,7 @@
 
 Package: latex-cjk-chinese
 Architecture: any
-Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 2.04), ${misc:Depends}, ${shlibs:Depends}
+Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 3), ${misc:Depends}, ${shlibs:Depends}
 Recommends: latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp
 Suggests: hbf-cns40-b5, hbf-jfs56
 Conflicts: cjk-latex (<= 4.5.1), tfm-arphic-bsmi00lp (<= 2.11.2-0.1), tfm-arphic-bkai00mp (<= 2.11.2-0.1), tfm-arphic-gbsn00lp (<= 2.11.2-0.1), tfm-arphic-gkai00mp (<= 2.11.2-0.1)
@@ -69,7 +76,7 @@
 Package: latex-cjk-japanese
 Architecture: any
 Recommends: latex-cjk-japanese-wadalab
-Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 2.04), ${misc:Depends}, ${shlibs:Depends}
+Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 3), ${misc:Depends}, ${shlibs:Depends}
 Suggests: hbf-kanji48
 Conflicts: cjk-latex (<= 4.5.1)
 Description: Japanese module of LaTeX CJK
@@ -84,7 +91,7 @@
 Package: latex-cjk-korean
 Architecture: all
 Recommends: ko.tex-extra-hlfont
-Depends: latex-cjk-common (>= ${source:Version}), tex-common (>= 2.04), ${misc:Depends}
+Depends: latex-cjk-common (>= ${source:Version}), tex-common (>= 3), ${misc:Depends}
 Conflicts: cjk-latex (<= 4.5.1)
 Description: Korean module of LaTeX CJK
  CJK is a macro package for LaTeX.  This package gives you the possibility
@@ -92,7 +99,7 @@
 
 Package: latex-cjk-thai
 Architecture: all
-Depends: latex-cjk-common (>= ${source:Version}), texlive-latex-base, tex-common (>= 2.04), thailatex (>= 0.4.2), ${misc:Depends}
+Depends: latex-cjk-common (>= ${source:Version}), texlive-latex-base, tex-common (>= 3), thailatex (>= 0.4.2), ${misc:Depends}
 Conflicts: cjk-latex (<= 4.5.1)
 Description: Thai module of LaTeX CJK
  CJK is a macro package for LaTeX.  This package gives you the possibility

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 upstream_version := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
 isodate := $(shell dpkg-parsechangelog | sed -ne 's/^Version.*git\(.*\)-.*/\1/p')
 unixdate := $(shell date -d $(isodate) +%s)
-# Add 24 hours to the Unix time.
+# Add 24 hours to the Unix timestamp.
 unixdate := $(shell expr $(unixdate) + 86400 )
 
 # To get the Master revision number (i.e. 4.8.0), use:
@@ -62,7 +62,7 @@
 # You will need a Build-Dependency on the `sharutils' package in debian/control.
 #	cd debian && uudecode thaifonts.tar.gz.uu && tar xzf thaifonts.tar.gz
 #	(cd $(build_thaifonts) && cp ../utils/thaifont/tools/c90.* ../utils/thaifont/tools/*.fontinst ../debian/thaifonts/* . && cd ../debian/thaifonts && prename 's/_//' * && prename 's/\./n\./' norasi.* garuda.*)
-	(cd $(build_thaifonts) && cp ../utils/thaifont/tools/c90.* ../utils/thaifont/tools/*.fontinst /usr/share/texmf/fonts/afm/public/thai/garuda*.afm /usr/share/texmf/fonts/afm/public/thai/norasi*.afm .)
+	(cd $(build_thaifonts) && cp ../utils/thaifont/tools/c90.* ../utils/thaifont/tools/*.fontinst /usr/share/texmf/fonts/afm/public/fonts-tlwg/garuda*.afm /usr/share/texmf/fonts/afm/public/fonts-tlwg/norasi*.afm .)
 
 	(cd $(build_thaifonts) && tex norasi-c90.fontinst && tex garuda-c90.fontinst && for i in f*.pl; do pltotf $$i; done)
 
@@ -70,8 +70,6 @@
 
 build-stamp:
 	touch build-stamp
-
-#clean: clean1 unpatch
 
 clean: unpatch
 #	dh_testdir doc/CJKutf8.txt examples/CJKbabel.tex
@@ -106,9 +104,6 @@
 	rm -f utils/CEFconv/cefsconv
 	rm -f utils/SJISconv/sjisconv
 	rm -f utils/extconv/extconv
-
-#	rm -rf debian/thaifonts
-#	rm -f debian/thaifonts.tar.gz
 
 	dh_clean
 
@@ -163,7 +158,7 @@
 	dh_link -platex-cjk-common usr/share/doc/latex-cjk-common usr/share/doc/texmf/latex/latex-cjk
 
 	dh_installtex -platex-cjk-common -platex-cjk-japanese
-	dh_installtex -platex-cjk-chinese --priority=20 hyphen=pinyin,loadhyph-zh-latn.tex,lhm=1,rhm=1
+	dh_installtex -platex-cjk-chinese
 
 	dh_installdocs -platex-cjk-common
 	dh_installexamples -platex-cjk-common
@@ -184,14 +179,15 @@
 	rm -rf cjk-$(upstream_version)
 	rm -f ../cjk_$(upstream_version).orig.tar.gz
 
-	# Download the latest GIT version and downgrade it to $(isodate).
+	# Download the latest GIT version and downgrade it to $(unixdate).
 	git clone git://git.sv.gnu.org/cjk.git cjk-$(upstream_version)
-	cd cjk-$(upstream_version) && git reset --hard $(shell git rev-list --all -n 1 --before=$(unixdate))
+
+#	cd cjk-$(upstream_version) && git reset --hard `git rev-list --all -n 1 --before=$(unixdate)`
 
 	# Make a pristine package.
 # --no-name/-n is important because it won't save the timestamp in the
 # 5th to 8th byte of the gzip.
-	cd cjk-$(upstream_version) && git archive --format=tar --prefix=cjk-$(upstream_version)/ master | gzip -9 --no-name > ../../tarballs/cjk_$(upstream_version).orig.tar.gz
+	cd cjk-$(upstream_version) && git archive --format=tar --prefix=cjk-$(upstream_version)/ $$(git rev-list --all -n 1 --before=$(unixdate)) | gzip -9 --no-name -c > ../../tarballs/cjk_$(upstream_version).orig.tar.gz
 
 	# Clean again, because we use svn-buildpackage afterwards.
 	rm -rf cjk-$(upstream_version)

## cjk 4.8.3+git20120621

=== debian/changelog ===
cjk (4.8.3+git20120621-1) unstable; urgency=low

  * The "Thank you" release.
  * Acknowledge work by Norbert to make CJK automagically work with TL2012.
  * New upstream release:
     - Improve captions for Chinese (T/S) and Japanese;
     - fix imcompatibilities with 'ulem.sty';
     - remove xCJK files, as it is superseded by the xeCJK packages;
     - accept Thai input in utf-8 encoding;
     - update compatibility of the Thai font-tlwg fonts to 0.5;
     - make some commands robust.
  * [debian/latex-cjk-thai.install] Add new thai_utf.tex example file.
  * [debian/latex-cjk-xcjk.install, debian/xCJK-extended*] Remove all xCJK
     references because it they are also removed upstream.  Please use the
     xeCJK package instead.
  * [debian/rules, debian/control] Remove latex-cjk-xcjk.
  * [debian/patches/*] Refresh against upstream.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Tue, 25 Jun 2012 08:02:27 +0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Package: latex-cjk-common
 Architecture: any
 Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 3), ${misc:Depends}, ${shlibs:Depends}
-Recommends: latex-cjk-xcjk
 Conflicts: cjk-latex (<= 4.5.1), latex-cjk
 Replaces: cjk-latex
 Provides: cjk-latex
@@ -28,33 +27,6 @@
  This package will install the common files, as well as a few
  GNU/Emacs Lisp files, and it provides support for furigana
  ("ruby text") and PinYin, either with or without tone marks.
-
-Package: latex-cjk-xcjk
-Architecture: all
-Depends: latex-cjk-common (>= ${source:Version}), texlive-xetex, tex-common (>= 3), ${misc:Depends}
-Suggests: fonts-dejima-mincho, fonts-kiloji, 
-          fonts-thai-tlwg, 
-          fonts-arphic-ukai, fonts-arphic-uming, 
-          fonts-baekmuk, 
-          fonts-ipafont-gothic | fonts-japanese-gothic, 
-          fonts-ipafont-mincho | fonts-japanese-mincho,
-          fonts-unfonts-core, fonts-unfonts-extra, 
-          ttf-wqy-zenhei
-Conflicts: cjk-latex (<= 4.5.1)
-Description: XeTeX module of LaTeX CJK
- CJK is a macro package for LaTeX.  This package gives you the possibility
- to include Chinese (traditional and simplified), Japanese, Thai, Vietnamese,
- Korean, and many more scripts in your (La)TeX documents through XeLaTeX,
- which is based on the modern XeTeX engine.
- .
- It allows you to directly use TrueType fonts without any conversion or
- extra packages.
- .
- latex-cjk-xcjk suggests a whole bunch of Japanese, Chinese, Korean and Thai
- fonts that are guaranteed to work with xCJK, but any other TTF should work
- just as well.
- .
- Have a look at latex-cjk-common for a more detailed description.
 
 Package: latex-cjk-chinese
 Architecture: any
@@ -110,7 +82,7 @@
 
 Package: latex-cjk-all
 Architecture: all
-Depends: latex-cjk-common (>= ${source:Version}), latex-cjk-xcjk (= ${source:Version}), latex-cjk-chinese (>= ${source:Version}), latex-cjk-japanese (>= ${source:Version}), latex-cjk-korean (= ${source:Version}), latex-cjk-thai (= ${source:Version}), latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, latex-cjk-japanese-wadalab, ${misc:Depends}
+Depends: latex-cjk-common (>= ${source:Version}), latex-cjk-chinese (>= ${source:Version}), latex-cjk-japanese (>= ${source:Version}), latex-cjk-korean (= ${source:Version}), latex-cjk-thai (= ${source:Version}), latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, latex-cjk-japanese-wadalab, ${misc:Depends}
 Conflicts: cjk-latex (<= 4.5.1)
 Description: installs all LaTeX CJK packages
  This package will install all CJK packages.

=== debian/rules ===
--- 
+++ 
@@ -127,10 +127,8 @@
 	dh_link -platex-cjk-all usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-all
 	dh_link -pcjk-latex usr/share/doc/latex-cjk-common usr/share/doc/cjk-latex
 	dh_link -platex-cjk-thai usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-thai
-	dh_link -platex-cjk-xcjk usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-xcjk
 	dh_installtex -platex-cjk-thai --flavor=map:config_for_all_maps map=Map,garuda-c90.map map=Map,norasi-c90.map
 	dh_installtex -platex-cjk-korean
-	dh_installtex -platex-cjk-xcjk
 	dh_installemacsen -i
 	dh_compress -i
 	dh_fixperms -i
@@ -185,6 +183,7 @@
 #	cd cjk-$(upstream_version) && git reset --hard `git rev-list --all -n 1 --before=$(unixdate)`
 
 	# Make a pristine package.
+	mkdir -p ../tarballs
 # --no-name/-n is important because it won't save the timestamp in the
 # 5th to 8th byte of the gzip.
 	cd cjk-$(upstream_version) && git archive --format=tar --prefix=cjk-$(upstream_version)/ $$(git rev-list --all -n 1 --before=$(unixdate)) | gzip -9 --no-name -c > ../../tarballs/cjk_$(upstream_version).orig.tar.gz
